Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jbox2d.common
Class Settings

    java.lang.Object
      org.jbox2d.common.Settings

    public class Settings

extends java.lang.Object

Field Summary
`static float` | `angularSleepTolerance`
`static float` | `angularSlop`
`static float` | `contactBaumgarte`
`static float` | `EPSILON` A "close to zero" float epsilon value for use
`static float` | `lengthUnitsPerMeter`
`static float` | `linearSleepTolerance`
`static float` | `linearSlop`
`static float` | `massUnitsPerKilogram`
`static float` | `maxAngularCorrection`
`static float` | `maxAngularVelocity`
`static float` | `maxAngularVelocitySquared`
`static float` | `maxLinearCorrection`
`static float` | `maxLinearVelocity`
`static float` | `maxLinearVelocitySquared`
`static int` | `maxManifoldPoints`
`static int` | `maxPairs`
`static int` | `maxPolygonVertices`
`static int` | `maxProxies`
`static int` | `maxShapesPerBody`
`static int` | `maxTOIContactsPerIsland`
`static float` | `pi`
`static float` | `timeToSleep`
`static float` | `timeUnitsPerSecond`
`static float` | `toiSlop`
`static float` | `velocityThreshold`

Constructor Summary
`Settings()`

Method Summary

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### EPSILON

    public static final float EPSILON

  A "close to zero" float epsilon value for use

  See Also:
    Constant Field Values

### pi

    public static final float pi

See Also:
  Constant Field Values

### lengthUnitsPerMeter

    public static final float lengthUnitsPerMeter

See Also:
  Constant Field Values

### massUnitsPerKilogram

    public static final float massUnitsPerKilogram

See Also:
  Constant Field Values

### timeUnitsPerSecond

    public static final float timeUnitsPerSecond

See Also:
  Constant Field Values

### maxManifoldPoints

    public static final int maxManifoldPoints

See Also:
  Constant Field Values

### maxShapesPerBody

    public static final int maxShapesPerBody

See Also:
  Constant Field Values

### maxPolygonVertices

    public static final int maxPolygonVertices

See Also:
  Constant Field Values

### maxProxies

    public static final int maxProxies

See Also:
  Constant Field Values

### maxPairs

    public static final int maxPairs

See Also:
  Constant Field Values

### linearSlop

    public static final float linearSlop

See Also:
  Constant Field Values

### angularSlop

    public static final float angularSlop

See Also:
  Constant Field Values

### velocityThreshold

    public static final float velocityThreshold

See Also:
  Constant Field Values

### maxLinearCorrection

    public static final float maxLinearCorrection

See Also:
  Constant Field Values

### maxAngularCorrection

    public static final float maxAngularCorrection

See Also:
  Constant Field Values

### contactBaumgarte

    public static final float contactBaumgarte

See Also:
  Constant Field Values

### timeToSleep

    public static final float timeToSleep

See Also:
  Constant Field Values

### linearSleepTolerance

    public static final float linearSleepTolerance

See Also:
  Constant Field Values

### angularSleepTolerance

    public static final float angularSleepTolerance

See Also:
  Constant Field Values

### toiSlop

    public static final float toiSlop

See Also:
  Constant Field Values

### maxLinearVelocity

    public static final float maxLinearVelocity

See Also:
  Constant Field Values

### maxLinearVelocitySquared

    public static final float maxLinearVelocitySquared

See Also:
  Constant Field Values

### maxAngularVelocity

    public static final float maxAngularVelocity

See Also:
  Constant Field Values

### maxAngularVelocitySquared

    public static final float maxAngularVelocitySquared

See Also:
  Constant Field Values

### maxTOIContactsPerIsland

    public static int maxTOIContactsPerIsland

Constructor Detail

### Settings

    public Settings()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD